cancel
Showing results for 
Search instead for 
Did you mean: 

Query dongle driver version installed

Query dongle driver version installed

Question:

How can we fetch the version of dongle driver version, installed on the local system?

Answer:

For HASP:

hasplms -v
hasplms version 19.0.1.63692

And the package shown in here:

haspdinst.exe -info

For WIBU:

- Query the registry location "Computer\HKEY_LOCAL_MACHINE\SOFTWARE\WIBU-SYSTEMS\WIBU-KEY\General\CurrentVersion\Version" OR 

- Once the dongle driver is installed, run the executable named Wku32.exe (on Windows - C:\Program Files (x86)\WIBUKEY\Bin) and under Linux and MacOS "wku". 

Output from Windows: 
C:\Program Files (x86)\WIBUKEY\Bin>wku32.exe 
wku32 - WibuKey User Universal Support Tool. 
wku32 Version 6.51 of 2019-Apr-02 (Build 3477) for Win32. 
Copyright (C) 1994-2019 by WIBU-SYSTEMS AG, www.wibu.com. All rights reserved. 

Available WibuKey ports at local computer: 
[Calling Driver: Version 6.51 of Apr/02/2019] 
[Kernel Driver: Version 6.50a of Jan/08/2019] 
0 WibuKey ports scanned: 0 WibuBoxes at 0 ports found. 

Was this article helpful? Yes No
No ratings
Comments

How do we know that the version returned by hasplms.exe - "hasplms version 19.0.1.63692" is the driver version required by a specific FLEXID version.

For example, does hasplms version 19.0.1.63692 always correspond to FLEXID-9 dongle?

It looks like hasplms.exe is packaged with the flexera dongle driver installer. So if hasplms was updated then the version reported by hasplms.exe could change. So to expand and elaborate on the OP's question:

How do we query the system, to get the version of dongle drivers currently installed, and map it against a specific FLEXID dongle (say FLEXID-9)?

Thanks

hasplms stands for " Aladdin HASP License Manager Service" , which gets installed with the Safenet (Aladdin) dongle driver. You may not want to worry about this version, but the version of "dongle driver" installed in correlation with the FNP toolkit. (haspdinst.exe output). With each FNP toolkit release, a release document about dongle drivers i.e. "Driver Installation Guide for FlexNet ID Dongles.pdf" is provided. You may want to keep the dongle version mentioned in specific document as a point of reference for particular FNP toolkit.

"You may not want to worry about this version, but the version of "dongle driver" installed in correlation with the FNP toolkit. (haspdinst.exe output)"

I agree. So do you think its safe to say that "FLEXID-9 dongle drivers are installed" if we find all the packages listed by "haspdinst.exe -info" on the system? And probably something similar for FLEXID-10 dongles?

Or is there a better way to detect that?

Yes indeed.  'haspdinst.exe -info' for HASP dongles and 'wku32.exe' for Wibu should suffice the need to confirm if dongle driver is installed or not.

Also, another way to confirm this is to run "lmutil lhostid -flexid -long" - it will give appropriate errors when driver is not installed.

"lmutil lhostid -flexid -long"

This is so much better. Thank you very much.